databases/p5-Class-DBI-Plugin-DeepAbstractSearch - The NetBSD Packages Collection

Implement deep_search_where() for Class::DBI

This plugin provides a SQL::Abstract search method for Class::DBI.
It is similar to Class::DBI::AbstractSearch, but allows you to
search and sort by fields from joined tables.

Note: When searching and sorting by the fields of the current class
only, it is more efficient to use Class::DBI::AbstractSearch.

Build dependencies

pkgtools/mktools pkgtools/cwrappers

Runtime dependencies

databases/p5-Class-DBI databases/p5-Class-DBI-Plugin databases/p5-SQL-Abstract lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64p5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 10.0aarch64p5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 10.0aarch64ebp5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 10.0aarch64ebp5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 10.0alphap5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 10.0alphap5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 10.0earmv6hfp5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 10.0earmv6hfp5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 10.0earmv6hfp5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 10.0earmv7hfp5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 10.0earmv7hfp5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 10.0earmv7hfp5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 10.0i386p5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 10.0i386p5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 10.0i386p5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 10.0powerpcp5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 10.0powerpcp5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 10.0sparcp5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 10.0sparcp5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 10.0x86_64p5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 10.0x86_64p5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 10.0x86_64p5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 9.0aarch64p5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 9.0aarch64p5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 9.0aarch64p5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 9.0alphap5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 9.0earmv6hfp5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 9.0earmv6hfp5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 9.0earmv6hfp5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 9.0earmv7hfp5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 9.0earmv7hfp5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 9.0earmv7hfp5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 9.0i386p5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 9.0i386p5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 9.0i386p5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 9.0powerpcp5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 9.0powerpcp5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 9.0powerpcp5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 9.0sparc64p5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 9.0x86_64p5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 9.0x86_64p5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 9.0x86_64p5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 9.3x86_64p5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz
NetBSD 9.3x86_64p5-Class-DBI-Plugin-DeepAbstractSearch-0.08nb14.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.